MPI_File_iwrite_at(3)

NAME
MPI_File_iwrite_at - Nonblocking write using explict offset

SYNOPSIS
#ifdef HAVE_MPI_GREQUEST
#include "mpiu_greq.h"
#if defined(HAVE_WINDOWS_H) && defined(USE_WIN_THREADED_IO)
typedef struct iwrite_at_args

INPUT PARAMETERS
fh  - file handle (handle)
offset
    - file offset (nonnegative integer)
buf - initial address of buffer (choice)
count
    - number of elements in buffer (nonnegative integer)
datatype
    - datatype of each buffer element (handle)

OUTPUT PARAMETERS
request
    - request object (handle)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
iwrite_at.c